com.pdfunit.filter.region

## Class RectangleUpperLeftBasedMillis

- java.lang.Object
- - com.pdfunit.filter.region.RectangleUpperLeftBasedMillis

- All Implemented Interfaces:
    com.pdfunit.internal.spi.RectangleUpperLeftBased

      @DoNotObfuscate
      public class RectangleUpperLeftBasedMillis
      extends java.lang.Object
      implements com.pdfunit.internal.spi.RectangleUpperLeftBased

  Class defining a rectangle in the unit 'millimeter'.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RectangleUpperLeftBasedMillis(int leftX, int upperY, int width, int height)` This method creates an instance with all data for a rectangle belonging to a PDF page.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeightInPoints()`
    `int` | `getLeftXInPoints()`
    `java.lang.String` | `getName()`
    `java.awt.geom.Rectangle2D` | `getRectangle2DLowerLeftBased()`
    `java.awt.geom.Rectangle2D` | `getRectangleUpperLeftBasedPoints()` When converting from millimeter to points, rounding is needed.
    `int` | `getUpperYInPoints()`
    `int` | `getWidthInPoints()`
    `void` | `setName(java.lang.String name)`
    `void` | `setPageHeightInMillis(int pageHeightInMillis)`
    `void` | `setPageHeightInPoints(int pageHeightInPoints)`
    `java.lang.String` | `toString()` This methode is used in case of a failing unit test.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RectangleUpperLeftBasedMillis

          @Guarded
          public RectangleUpperLeftBasedMillis(int leftX,
                                               int upperY,
                                               int width,
                                               int height)

      This method creates an instance with all data for a rectangle belonging to a PDF page. The unit is needed to normalize all values to Millimeter.

  - ### Method Detail

    - #### getHeightInPoints

          public int getHeightInPoints()

      Specified by:
        `getHeightInPoints` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### getLeftXInPoints

          public int getLeftXInPoints()

      Specified by:
        `getLeftXInPoints` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### getRectangle2DLowerLeftBased

          public java.awt.geom.Rectangle2D getRectangle2DLowerLeftBased()

      Specified by:
        `getRectangle2DLowerLeftBased` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### getRectangleUpperLeftBasedPoints

          public java.awt.geom.Rectangle2D getRectangleUpperLeftBasedPoints()

      When converting from millimeter to points, rounding is needed. Due to this rounding it is possible, that a difference from 1 Point may occur. Such a difference has no influence to the behaviour of PDFUnit.
      Specified by:
        `getRectangleUpperLeftBasedPoints` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### getUpperYInPoints

          public int getUpperYInPoints()

      Specified by:
        `getUpperYInPoints` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### getWidthInPoints

          public int getWidthInPoints()

      Specified by:
        `getWidthInPoints` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### setName

          @Guarded
          public void setName(java.lang.String name)

      Specified by:
        `setName` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### setPageHeightInPoints

          @Guarded
          public void setPageHeightInPoints(int pageHeightInPoints)

      Specified by:
        `setPageHeightInPoints` in interface `com.pdfunit.internal.spi.RectangleUpperLeftBased`

    - #### setPageHeightInMillis

          @Guarded
          public void setPageHeightInMillis(int pageHeightInMillis)

    - #### toString

          public java.lang.String toString()

      This methode is used in case of a failing unit test.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright (C) PDFUnit.com. See here for license.